com.unitech.stuhfl

## Enum STUHFL_E.GB29768_ACTION_SECMODE

- java.lang.Object
- - java.lang.Enum<STUHFL_E.GB29768_ACTION_SECMODE>
  - - com.unitech.stuhfl.STUHFL_E.GB29768_ACTION_SECMODE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STUHFL_E.GB29768_ACTION_SECMODE>
  Enclosing class:
    STUHFL_E

      public static enum STUHFL_E.GB29768_ACTION_SECMODE
      extends java.lang.Enum<STUHFL_E.GB29768_ACTION_SECMODE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTH_NOSECCOMM`
    `AUTH_SECCOMM`
    `NOAUTH`
    `RESERVED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STUHFL_E.GB29768_ACTION_SECMODE` | `int2Enum(int id)`
    `int` | `toInt()`
    `static STUHFL_E.GB29768_ACTION_SECMODE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STUHFL_E.GB29768_ACTION_SECMODE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESERVED

          public static final STUHFL_E.GB29768_ACTION_SECMODE RESERVED

    - #### NOAUTH

          public static final STUHFL_E.GB29768_ACTION_SECMODE NOAUTH

    - #### AUTH_NOSECCOMM

          public static final STUHFL_E.GB29768_ACTION_SECMODE AUTH_NOSECCOMM

    - #### AUTH_SECCOMM

          public static final STUHFL_E.GB29768_ACTION_SECMODE AUTH_SECCOMM

  - ### Method Detail

    - #### values

          public static STUHFL_E.GB29768_ACTION_SECMODE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STUHFL_E.GB29768_ACTION_SECMODE c : STUHFL_E.GB29768_ACTION_SECMODE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STUHFL_E.GB29768_ACTION_SECMODE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toInt

          public int toInt()

    - #### int2Enum

          public static STUHFL_E.GB29768_ACTION_SECMODE int2Enum(int id)